package com.tuoheng.miniprogram.enums;

import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2022/12/8
 */

public enum  UserCodeEnum {

    USER_IS_NULL(1240100, "登录用户为空"),
    USER_STATUS_INTERDICT(1240101, "用户状态禁用"),
    USER_NAME_IS_NULL(1240102, "登录用户名为空"),
    OLD_PASSWORD_IS_ERROR(1240103, "密码错误"),
    PASSWORD_REVISE_FAIL(1240104, "密码修改失败"),
    PASSWORD_REVISE_SUCCESS(1240105, "密码修改成功");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    UserCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
